curl "https://api.scanova.io/qr-assets/custom-frame/" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a"
{
"count": 1,
"next": null,
"previous": null,
"results": [
{
"id": 4,
"svg": "https://cdn.scanova.io/upload/frames/4.svg",
"primary_color": "#000000",
"secondary_color": "#ffffff",
"text_color": "#000000",
"bg_color": "#ffffff",
"top": 0,
"left": 0
}
]
}
QR 资源
列出自定义边框
GET /qr-assets/custom-frame/
GET
/
qr-assets
/
custom-frame
/
curl "https://api.scanova.io/qr-assets/custom-frame/" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a"
{
"count": 1,
"next": null,
"previous": null,
"results": [
{
"id": 4,
"svg": "https://cdn.scanova.io/upload/frames/4.svg",
"primary_color": "#000000",
"secondary_color": "#ffffff",
"text_color": "#000000",
"bg_color": "#ffffff",
"top": 0,
"left": 0
}
]
}
在 Management API 主机(
api.scanova.io)上列出账户自己的自定义 QR 边框,使用您的原始 Management API 密钥进行身份验证。
GET https://api.scanova.io/qr-assets/custom-frame/
Authorization: 401f7ac837da42b97f613d789819ff93537bee6a
仅支持列出——Management API 中没有用于创建、更新或删除自定义边框的端点;边框通过控制台上传。与本模块中的大多数其他端点不同,此端点没有套餐配额限制。
curl "https://api.scanova.io/qr-assets/custom-frame/" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a"
{
"count": 1,
"next": null,
"previous": null,
"results": [
{
"id": 4,
"svg": "https://cdn.scanova.io/upload/frames/4.svg",
"primary_color": "#000000",
"secondary_color": "#ffffff",
"text_color": "#000000",
"bg_color": "#ffffff",
"top": 0,
"left": 0
}
]
}
top/left 是在 QR 码周围渲染边框时使用的像素定位偏移量。
相关内容
- 列出 QR 码设计模板——选定后使用边框 id 的位置。
- Management API 概览——适用于此端点的身份验证方案和配额规则。
授权
Send your Management API key as the raw value of the Authorization header — no "Bearer " or "Token " prefix, and no other characters. Example: Authorization: 401f7ac837da42b97f613d789819ff93537bee6a. A header containing more than one space-separated part is rejected outright. Requests also require the request's Host header to be the management API host (e.g. api.scanova.io) — the same key sent to the regular API host will not authenticate.
响应
200 - application/json
Paginated list of custom frames.
此页面对您有帮助吗?